/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
.image .block-section-wrapper .image-block__figure {
  aspect-ratio: 16/9;
  max-height: 40.625rem;
  width: 100%;
  margin: 0 auto 1.25rem;
}

.image .block-section-wrapper .image-block__figure.narrow {
  max-width: 46rem;
  margin-left: auto;
  margin-right: auto;
}

.image .block-section-wrapper .image-block__figure.narrow + .image-block__caption {
  max-width: 46rem;
  margin-left: auto;
  margin-right: auto;
}

.image .block-section-wrapper .image-block__figure img {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.image .block-section-wrapper .image-block__caption {
  z-index: 10;
  color: var(--color__dark-grey) !important;
}
